%global srcname gatspy 
%global sum General tools for Astronomical Time Series in Python

Name:           python-%{srcname}
Version:        0.2.1
Release:        3%{?dist}
Summary:        %{sum}

License:        BSD
URL:            http://www.astroml.org/gatspy/
Source0:        http://pypi.python.org/packages/source/g/%{srcname}/%{srcname}-%{version}.tar.gz

# Patch to fix tests dailing when building offline, applied/submitted upstream
# https://github.com/astroML/gatspy/commit/228c40a80252ea583fc7066216e85bb7f2e8632b
# https://github.com/astroML/gatspy/pull/22
Patch0:         python-gatspy-fix-tests-download.patch

BuildArch:      noarch
BuildRequires:  python-astroML
BuildRequires:  python3-astroML
BuildRequires:  python2-devel
BuildRequires:  python3-devel
BuildRequires:  python-nose
BuildRequires:  python3-nose
BuildRequires:  python2-supersmoother
BuildRequires:  python3-supersmoother

%description
Gatspy contains efficient, well-documented implementations of several common
routines for Astronomical time series analysis, including the Lomb-Scargle
periodogram, the Supersmoother method, and others.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python-astroML
Requires:       python2-supersmoother
Recommends:     python-astroML-addons

%description -n python2-%{srcname}
Gatspy contains efficient, well-documented implementations of several common
routines for Astronomical time series analysis, including the Lomb-Scargle
periodogram, the Supersmoother method, and others.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-astroML
Requires:       python3-supersmoother
Recommends:     python3-astroML-addons

%description -n python3-%{srcname}
Gatspy contains efficient, well-documented implementations of several common
routines for Astronomical time series analysis, including the Lomb-Scargle
periodogram, the Supersmoother method, and others.

%prep
%setup -n %{srcname}-%{version}
%patch0 -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
nosetests-%{python2_version} %{srcname}
nosetests-%{python3_version} %{srcname}

%files -n python2-%{srcname}
%license LICENSE
%doc CHANGES.md README.md
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE
%doc CHANGES.md README.md
%{python3_sitelib}/*

%changelog
* Wed Jan 20 2016 Christian Dersch <lupinix@mailbox.org> - 0.2.1-3
- Tests: applied upstream fix and enabled again

* Mon Jan 18 2016 Christian Dersch <lupinix@mailbox.org> - 0.2.1-2
- Disabled tests, they try to fetch data for test online, not allowed within
  Fedora to download additional stuff at build time.

* Sun Jan 03 2016 Christian Dersch <lupinix@mailbox.org> - 0.2.1-1
- Initial spec

